petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNES_CONVERGED_SNORM_RELATIVE

The 2-norm of the last step <= stol * 2-norm(x) where x is the current solution and stol is the 4th argument to SNESSetTolerances()

### Options Database Keys

-snes_stol <stol> - the step tolerance

### See Also

SNESSolve(), SNESGetConvergedReason(), SNESConvergedReason, SNESSetTolerances()

Level:beginner
Location:src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages